Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79856 - make of gcc-3.2.1 fails on RH7.1 gcc-2.96-112
Summary: make of gcc-3.2.1 fails on RH7.1 gcc-2.96-112
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 16:18 UTC by Oliver Kellogg
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-07 16:57:45 UTC


Attachments (Terms of Use)

Description Oliver Kellogg 2002-12-17 16:18:33 UTC
Description of problem:

Building of gcc-3.2.1 from sources fails on RH7.1 gcc-2.96-112.

Version-Release number of selected component (if applicable):
gcc-2.96-112

How reproducible:
Deterministic, see below.

Steps to Reproduce:

I downloaded the gcc-3.2.1 source tarball from gcc.gnu.org and did the
following:

cd /usr/src/packages/SOURCES
tar xvjf gcc-3.2.1.tar.bz2
cd /usr/src/packages/BUILD
mkdir gcc321-build
cd gcc321-build
mkdir /opt/gcc3
../../SOURCES/configure --prefix=/opt/gcc3

While the configure went fine, the make failed as follows:

[...]
make[1]: Leaving directory `/usr/src/packages/BUILD/gcc321-build/gcc'
Configuring in i686-pc-linux-gnu/libstdc++-v3
configure: warning: c++: invalid host type
configure: error: can only configure for one host and one target at a
time
make: *** [configure-target-libstdc++-v3] Error 1

To get some more detail, I did

cd i686-pc-linux-gnu/libstdc++-v3
../../../../SOURCES/gcc-3.2.1/libstdc++-v3/configure --prefix=/opt/gcc3

[...]
checking for thread model used by GCC... 
../../../../SOURCES/gcc-3.2.1/libstdc++-v3/configure: test: !=: unary
operator expected
checking for exception model to use... configure: error: unable to detect
exception model

I use your gcc-2.96-112 and glibc-2.2.4-19 RPMs and a homemaid 2.4.18-17.7.x
kernel.
 
Actual results:
"configure" of gcc-3.2.1 aborts as above.

Expected results:
"configure" should run to completion.

Additional info:

Comment 1 Jakub Jelinek 2003-01-07 16:57:45 UTC
This doesn't look like a bug in gcc-2.96-112.


Note You need to log in before you can comment on or make changes to this bug.